OpenTTD Source: src/newgrf/newgrf_act0_ships.cpp File Reference

OpenTTD Source 15.0-RC2

Functions
newgrf_act0_ships.cpp File Reference

NewGRF Action 0x00 handler for ships. More...

`#include "../stdafx.h"`
`#include "../debug.h"`
`#include "../newgrf_cargo.h"`
`#include "../newgrf_engine.h"`
`#include "../newgrf_sound.h"`
`#include "../vehicle_base.h"`
`#include "newgrf_bytereader.h"`
`#include "newgrf_internal_vehicle.h"`
`#include "newgrf_internal.h"`
`#include "newgrf_stringmapping.h"`
`#include "../safeguards.h"`

Go to the source code of this file.

## Functions
static ChangeInfoResult | ShipVehicleChangeInfo (uint first, uint last, int prop, ByteReader &buf)
| Define properties for ships.

## Detailed Description

NewGRF Action 0x00 handler for ships.

Definition in file newgrf_act0_ships.cpp.

## Function Documentation

## ◆ ShipVehicleChangeInfo()

static ChangeInfoResult ShipVehicleChangeInfo | ( | uint | first,
|  | uint | last,
|  | int | prop,
|  | ByteReader & | buf
| ) |  |
| static

Define properties for ships.

Parameters

  first | Local ID of the first vehicle.
  last | Local ID of the last vehicle.
  prop | The property to change.
  buf | The property value.

Returns
  ChangeInfoResult.

Definition at line 31 of file newgrf_act0_ships.cpp.

References _gted, _loaded_newgrf_features, ShipVehicleInfo::acceleration, AlterVehicleListOrder(), BaseBitSet< Timpl, Tvalue_type, Tstorage, Tmask >::base(), EngineInfo::base_intro, EngineInfo::callback_mask, ShipVehicleInfo::canal_speed_frac, EngineInfo::cargo_age_period, CIR_INVALID_ID, CIR_SUCCESS, CommonVehicleChangeInfo(), CT_INVALID, CUSTOM_VEHICLE_SPRITENUM, GetCargoTranslation(), GetNewEngine(), GetNewGRFSoundID(), GrfProcessingState::grffile, GRFLoadedFeatures::has_2CC, HasBit(), Pool< Titem, Tindex, Tgrowth_step, Tpool_type, Tcache >::PoolItem< Tpool >::index, IsValidCargoType(), ShipVehicleInfo::max_speed, EngineInfo::misc_flags, ShipVehicleInfo::ocean_speed_frac, ShipVehicleInfo::old_refittable, PROP_SHIP_CARGO_AGE_PERIOD, PROP_SHIP_CARGO_CAPACITY, PROP_SHIP_COST_FACTOR, PROP_SHIP_RUNNING_COST_FACTOR, PROP_SHIP_SPEED, ReadBadgeList(), ByteReader::ReadByte(), ByteReader::ReadDWord(), ByteReader::ReadExtendedByte(), ByteReader::ReadWord(), EngineInfo::retire_early, SB(), SetBit(), BaseBitSet< Timpl, Tvalue_type, Tstorage, Tmask >::Test(), TranslateRefitMask(), Uses2CC, EngineInfo::variant_id, VE_DEFAULT, VE_DISABLE_EFFECT, VE_TYPE_COUNT, VE_TYPE_START, VEH_SHIP, and ShipVehicleInfo::visual_effect.